/* VARIABLES */
:root {
	--accent: #069;
	--paper: #faf7ed;
	--paper-oldschool: #f7f7ed;
	--col1: 305px;
	--col2: 800px;
}



/* TAGS */
a {
	color: var(--accent);
	background-color: transparent;
}
a:link, a:visited {
	color: var(--accent);
	background-color: transparent;
}
a:focus, a:hover, a:active {
	color: var(--background);
	background-color: var(--accent);
}
a img {
	border: 1px solid transparent;
}
a:link img, a:visited img {
	border-color: transparent;
}
a:focus img, a:hover img, a:active img {
	border-color: var(--accent);
}
article {
	padding-top: var(--line);
}
aside {
	border-top: 1px solid var(--text);
	padding-top: var(--line);
}
aside nav li {
	border-top: 1px solid var(--accent);
	padding-left: 0;
	text-indent: 0;
}
aside nav li:first-child {
	border-top-width: 0;
}
aside nav li::before {
	content: none;
}
aside nav li a, aside nav li .current_page {
	display: block;
	padding: var(--tiny) 0;
}
aside nav li ul {
	border-top: 1px solid var(--accent);
	display: none;
	padding-left: var(--line);
}
aside nav li.current_page_ancestor > ul, aside nav li.current_page_item > ul {
	display: block;
}
body {
	background-color: var(--paper);
	padding: 0 var(--small);
	position: relative;
}
button {
	color: var(--accent);
	cursor: pointer;
}
button:focus, button:hover {
	background-color: var(--accent);
	border-color: var(--accent);
	color: var(--background);
}
footer {
	border-top: 1px solid var(--text);
	font-size: var(--smaller);
	padding-top: var(--line);
}
footer ul {
	margin-bottom: var(--small);
}
footer li {
	display: inline;
	margin-right: var(--small);
	padding-left: 0;
}
footer li::before {
	content: none;
}
header {
	padding-top: var(--line);
}
html {
	background-color: var(--paper);
	font-size: 14px;
	scroll-behavior: smooth;
}
input:focus, input:hover {
	border-color: var(--accent);
}
input[type="reset"]:focus, input[type="reset"]:hover,
input[type="submit"]:focus, input[type="submit"]:hover {
	background-color: var(--accent);
}
label { 
	cursor: pointer;
}
label:focus, label:hover {
	color: var(--accent);
}
textarea:focus, textarea:hover {
	border-color: var(--accent);
}



/* CLASSES */
.comment-form input, .comment-form textarea {
	margin-bottom: var(--line);
}
.comments li {
	padding-left: 0;
	text-indent: 0;
}
.comments li::before {
	content: none;
}
.dialog {
	background-color: var(--paper);
	bottom: 0;
	display: none;
	left: 0;
	padding: var(--line) var(--small) var(--big);
	position: fixed;
	right: 0;
	top: 0;
	z-index: 10;
}
.dialog.open {
	display: block;
}
.dialog .closer {
	display: block;
	height: var(--line);
	line-height: var(--line);
	margin-bottom: var(--line);
	position: absolute;
	right: var(--small);
	top: var(--line);
	width: var(--line);
}
.dialog .closer::after, .dialog .closer::before {
	background-color: var(--accent);
	content: "";
	height: 2px;
	left: 50%;
	position: absolute;
	top: 50%;
	transform: translate(-50%, -50%) rotate(-45deg);
	transform-origin: center;
	width: var(--letter);
}
.dialog .closer:focus::after, .dialog .closer:hover::after,
.dialog .closer:focus::before, .dialog .closer:hover::before{
	background-color: var(--background);
}
.dialog .closer::before {
	transform: translate(-50%, -50%) rotate(45deg);
}
.dialog figure, .dialog figcaption {
	text-align: center;
}
.dialog img, .dialog figcaption {
	margin: 0 auto var(--line);
}
.dialog .pager {
	bottom: 0;
	left: var(--small);
	margin-bottom: var(--small);
	position: absolute;
	right: var(--small);
}
.dialog .pager .current {
	padding: var(--tiny) 0; 
}
.expander {
	height: var(--line);
	position: absolute;
	top: var(--tiny);
	right: 0;
	width: var(--line);
}
.expander::after {
	background-color: var(--accent);
	content: "";
	height: 1px;
	left: 50%;
	position: absolute;
	top: 50%;
	transform: translate(-50%, -50%);
	width: var(--small);
}
.expander:focus::after, .expander:hover::after {
	background-color: var(--background);
}
.expander::before {
	background-color: var(--accent);
	content: "";
	height: var(--small);
	left: 50%;
	position: absolute;
	top: 50%;
	transform: translate(-50%, -50%);
	width: 1px;
}
.expander[aria-expanded]::before {
	height: 1px;
}
.expander:focus::before, .expander:hover::before {
	background-color: var(--background);
}
.has-dialog {
	overflow: hidden;
}
.js aside {
	background-color: var(--paper);
	border-top-width: 0;
	max-width: 100%;
	padding-left: var(--line);
	position: absolute;
	right: var(--small);
	top: 0;
}
.js aside .navs {
	max-width: var(--col1);
	display: none;
}
.js aside .navs.open {
	display: block;
}
.js aside .navs .page_item_has_children {
	position: relative;
}
.js aside .navs .page_item_has_children > a, .js aside .navs .page_item_has_children > .current_page {
	padding-right: var(--line);
}
.navitoggler {
	display: block;
	float: right;
	height: var(--line);
	line-height: var(--line);
	position: relative;
	width: var(--line);
}
.navitoggler::after {
	border-bottom: 2px solid var(--accent);
	border-top: 2px solid var(--accent);
	content: "";
	height: var(--small);
	left: 50%;
	position: absolute;
	top: 50%;
	transform: translate(-50%, -50%);
	width: var(--letter);
}
.navitoggler[aria-expanded]::after {
	border-width: 1px;
	height: 0;
	transform: translate(-50%, -50%) rotate(-45deg);
	transform-origin: center;
}
.navitoggler:focus::after, .navitoggler:hover::after {
	border-color: var(--background);
}
.navitoggler::before {
	background-color: var(--accent);
	content: "";
	height: 2px;
	left: 50%;
	position: absolute;
	top: 50%;
	transform: translate(-50%, -50%);
	width: var(--letter);
}
.navitoggler[aria-expanded]::before {
	transform: translate(-50%, -50%) rotate(45deg);
	transform-origin: center;
}
.navitoggler:focus::before, .navitoggler:hover::before {
	background-color: var(--background);
}
.offcanvas {
	height: 0;
	left: -100000px;
	overflow: hidden;
	position: absolute;
	top: -100000px;
	width: 0;
}
.pager {
	display: flex;
}
.pager li {
	flex-basis: 50%;
	flex-grow: 1;
	padding-left: 0;
	text-indent: 0;
}
.pager li::before {
	content: none;
}
.pager .current {
	flex-basis: 1%;
	text-align: center;
	white-space: nowrap;
}
.pager .next {
	text-align: right;
}
.pager .previous a::before, .pager .previous button::before {
	content: "← ";
}
.pager .next a::after, .pager .next button::after {
	content: " →";
}
.search fieldset {
	display: flex;
	flex-wrap: wrap;
}
.search input[type="submit"] {
	flex-grow: 0;
	flex-shrink: 0;
}
.search input[type="text"] {
	flex-basis: 50%;
	flex-grow: 1;
	flex-shrink: 1;
}
.search label {
	flex-basis: 100%;
}
.skiplinks {
	height: 0;
	left: var(--small);
	position: absolute;
	top: 0;
	width: 0;
}
.skiplinks li {
	padding-left: 0;
	text-indent:  0;
}
.skiplinks li::before {
	content: none;
}
.skiplinks a {
	display: block;
	left: 0;
	padding: 0 var(--tiny); /* für bessere lesbarkeit */
	position: absolute;
	top: 0;
	white-space: nowrap
}
.skiplinks a:link, .skiplinks a:visited {
	top: -10000px;
}
.skiplinks a:focus, .skiplinks a:hover {
	top: 0;
}
.skiplinks a:active {
	top: -10000px;
}
.wp-tag-cloud {
	line-height: var(--line);
}
.wp-tag-cloud li {
	display: inline;
	padding-left: 0;
	padding-right: var(--small);
	text-indent: 0;
}
.wp-tag-cloud li::before {
	content: none;
}



/* SCREENS */
@media screen and (min-width: 820px) {
	html {
		font-size: 16px;
	}
	body {
		margin: 0 auto;
		width: var(--col2);
	}
	footer ul {
		float: right;
		margin-bottom: var(--line);
	}
	footer li {
		margin-left: var(--small);
		margin-right: 0;
	}
	.dialog {
		padding: var(--line) var(--line) var(--big);
	}
	.dialog .closer {
		right: var(--line);
	}
	.dialog .pager {
		left: var(--line);
		right: var(--line);
	}
}
@media screen and (min-width: 1240px) {
	html {
		font-size: 18px;
	}
	article {
		float: right;
		width: var(--col2);
	}
	aside, .js aside {
		border-top-width: 0;
		float: left;
		margin-top: var(--line);
		width: var(--col1);
	}
	.js aside {
		margin-top: 0;
		padding-left: 0;
		position: static;
	}
	body {
		width: 1220px;
	}
	footer {
		clear: both;
	}
	header {
		padding: 62px 0 100px;
	}
	header h1 {
		float: left;
		width: var(--col1);
	}
	header p {
		float: right;
		margin-bottom: 0;
		width: var(--col2);
	}
	.js aside .navs {
		display: block;
	}
	.navitoggler {
		display: none;
	}
	.toplink.fixed {
		background-color: var(--paper);
		bottom: 0;
		position: fixed;
		width: var(--col1);
	}
}



/* DARK MODE */
@media (prefers-color-scheme: dark) {
	:root {
		--accent: #9cc;
		--background: #000;
		--paper: #2b2822;
		--text: #fff;
	}
}